import * as $dara from '@darabonba/typescript';
export declare class GetAgentlessTaskUsedSizeEstimateRequest extends $dara.Model {
    /**
     * @remarks
     * Asset selection identifier.
     *
     * This parameter is required.
     *
     * @example
     * AGENTLESS_SCAN_ONCE_TASK_1720145******
     */
    assetSelectionType?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
